--INIT
local i = 1
while true do
	local spellName, spellSubName = GetSpellBookItemName(i, BOOKTYPE_SPELL)
	local type, ID = GetSpellBookItemInfo(i, BOOKTYPE_SPELL)
	if not spellName then
		do
			break
		end
	end

	if spellName:match("Mastery:") then break end
	if spellName ~= "Revive Battle Pets" and spellName ~= "Mobile Banking" then
		if (GetSpellBaseCooldown(ID) or 0) > 20000 then print(spellName, ID, GetSpellBaseCooldown(ID) / 1000) end
	end

	i = i + 1
end

for row = 1, 7 do
	for column = 1, 3 do
		local ID = select(6, GetTalentInfo(row, column, 1))
		local spellName = select(2, GetTalentInfo(row, column, 1))
		if GetSpellBaseCooldown(ID) > 20000 then print(spellName, ID, GetSpellBaseCooldown(ID) / 1000) end
	end
end
for row = 1, 7 do
	for column = 1, 3 do
		local ID = select(6, GetPvpTalentInfo(row, column, 1))
		if ID then
			local spellName = select(2, GetPvpTalentInfo(row, column, 1))
			if GetSpellBaseCooldown(ID) > 20000 then print(spellName, ID, GetSpellBaseCooldown(ID) / 1000) end
		end
	end
end
